Oracle Sql Developer インストール時のまとめ

起動に必要なものは以下の 3 つです。

Q. 起動しないんだけど?
A. 上の 3 つを全てインストールして下さい。

Q. "Java version 1.7.0_03 has not been certified. Only Java versions less than 1.7 are certified. Continue anyway?" っていうダイアログが出るんだけど?
A. [はい] で OK です。

Q. "Unable to create an instance of the Java Virtual Machine Located at ... (中略) ... \jdk\jre\bin\client\jvm.dll" っていうダイアログがry
A. sqldeveloper フォルダ内の ide\bin\ide.conf を
テキストエディタで開いて、以下の行をコメントアウト。

AddVMOption -Xmx640M

Q. "Java 1.7.0_03で実行しようとしています。この製品の ...(中略)... 続行すると正しく実行されない可能性があります。続行しますか。"っていうダイアログがry
A. [次回このメッセージを表示しない] にチェックをつけて [はい] 。

ていうかインストーラとか無いの相当だるいですね。